<ion-header>
  <ion-navbar>
    <ion-title>
      QR Code Creater
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

    <ion-item>
      <ion-label>Please select event</ion-label>
      <ion-select [(ngModel)]="selectedEvent" (ionChange)="getDate()">
        <ion-option *ngFor="let event of event_list" [value]="event">{{event}}</ion-option>
        <!-- <ion-option value="m">Male</ion-option> -->
      </ion-select>
    </ion-item>

<div *ngIf="buttonClicked">
  <button ion-button full (click)="scanCode()">Add Attendance</button>
 <!-- <button ion-button full icon-left (click)="scanCode()" color="secondary">
    <ion-icon name="qr-scanner"></ion-icon>Scan Code</button>-->
  </div>

    <ion-card *ngIf="scannedCode">
    <ion-card-content>
      Result from Scan: {{ scannedCode }}
      
    </ion-card-content>
  </ion-card>

</ion-content>